LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Classes | Enumerations
com::sun::star::xml::dom Module Reference

XML Document Object Model. More...

## Modules
module | events
| XML Document Object Model events.
module | views
| XML Document Object Model views.

## Classes
service | DocumentBuilder
exception | DOMException
| encapsulates the details of an XML parse error or warning. More...
service | SAXDocumentBuilder
interface | XAttr
interface | XCDATASection
interface | XCharacterData
interface | XComment
interface | XDocument
interface | XDocumentBuilder
| Builds a new dom tree. More...
interface | XDocumentFragment
interface | XDocumentType
interface | XDOMImplementation
interface | XElement
interface | XEntity
interface | XEntityReference
interface | XNamedNodeMap
interface | XNode
| The primary dom datatype. More...
interface | XNodeList
interface | XNotation
interface | XProcessingInstruction
interface | XSAXDocumentBuilder
| Builds a new dom tree. More...
interface | XSAXDocumentBuilder2
| Provides a unified interface for the SAXDocumentBuilder service to implement. More...
interface | XText

## Enumerations
enum | DOMExceptionType { DOMSTRING_SIZE_ERR , HIERARCHY_REQUEST_ERR , INDEX_SIZE_ERR , INUSE_ATTRIBUTE_ERR , INVALID_ACCESS_ERR , INVALID_CHARACTER_ERR , INVALID_MODIFICATION_ERR , INVALID_STATE_ERR , NAMESPACE_ERR , NO_DATA_ALLOWED_ERR , NO_MODIFICATION_ALLOWED_ERR , NOT_FOUND_ERR , NOT_SUPPORTED_ERR , SYNTAX_ERR , WRONG_DOCUMENT_ERR }
enum | NodeType { ATTRIBUTE_NODE , CDATA_SECTION_NODE , COMMENT_NODE , DOCUMENT_FRAGMENT_NODE , DOCUMENT_NODE , DOCUMENT_TYPE_NODE , ELEMENT_NODE , ENTITY_NODE , ENTITY_REFERENCE_NODE , NOTATION_NODE , PROCESSING_INSTRUCTION_NODE , TEXT_NODE }
enum | SAXDocumentBuilderState { READY , BUILDING_DOCUMENT , BUILDING_FRAGMENT , DOCUMENT_FINISHED , FRAGMENT_FINISHED }

## Detailed Description

XML Document Object Model.

## Enumeration Type Documentation

## ◆ DOMExceptionType

enum DOMExceptionType

Enumerator
DOMSTRING_SIZE_ERR |
HIERARCHY_REQUEST_ERR |
INDEX_SIZE_ERR |
INUSE_ATTRIBUTE_ERR |
INVALID_ACCESS_ERR |
INVALID_CHARACTER_ERR |
INVALID_MODIFICATION_ERR |
INVALID_STATE_ERR |
NAMESPACE_ERR |
NO_DATA_ALLOWED_ERR |
NO_MODIFICATION_ALLOWED_ERR |
NOT_FOUND_ERR |
NOT_SUPPORTED_ERR |
SYNTAX_ERR |
WRONG_DOCUMENT_ERR |

## ◆ NodeType

enum NodeType

Enumerator
ATTRIBUTE_NODE |
CDATA_SECTION_NODE |
COMMENT_NODE |
DOCUMENT_FRAGMENT_NODE |
DOCUMENT_NODE |
DOCUMENT_TYPE_NODE |
ELEMENT_NODE |
ENTITY_NODE |
ENTITY_REFERENCE_NODE |
NOTATION_NODE |
PROCESSING_INSTRUCTION_NODE |
TEXT_NODE |

## ◆ SAXDocumentBuilderState

enum SAXDocumentBuilderState

Enumerator
READY |
BUILDING_DOCUMENT |
BUILDING_FRAGMENT |
DOCUMENT_FINISHED |
FRAGMENT_FINISHED |